import Vue from 'vue'
import VueRouter from 'vue-router'
import utils from '@/libs/utils'
// import Home from '../views/Home.vue'
const Login = ()=>import("@/login/Login.vue")
const MainPage = ()=>import('@/views/MainPage.vue')
const HomePage = ()=>import('@/views/homecomponents/HomePage.vue')
const EquipmentMonitor = ()=>import('@/views/homecomponents/EquipmentAnalysis/EquipmentMonitor.vue')
Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Login',
    component: Login,
  },
  {
    path: '/MainPage',
    component: MainPage,
    meta: { Auth: true }, // 添加该字段，表示进入这个路由是需要登录的
    // beforeEnter: (to, from, next) => {
    //   if (!utils.storage('sw_user')) {
    //     next({ path: '/login' })
    //     return false
    //   }
    //   next()
    // },
    children: [
      // 首页
      {
        path: '',
        name: 'HomePage',
        component: HomePage,
      },
      // 设备分析
      {
        path: 'EquipmentMonitor', 
        name: 'EquipmentMonitor', 
        component: EquipmentMonitor
      },
    ]
  },
  { path: '*', redirect: '/' }
]

const router = new VueRouter({
  routes
})

export default router
